package com.webonlineapp.evaldemo;

import java.time.LocalDateTime;

import com.hyjavacharts.LibraryInfo;
import com.hyjavacharts.chart.Highchart;

/*
 * A simple example application to show how to configure chart options using the HyJavaCharts library.
 *   - configure chart options using HyJavaCharts setter methods
 *   - generate the required JavaScript chart code for the configured chart options.
 * 
 * Note: The evaluation library only supports a limited set of Highcharts chart types and chart options.
 *       The full version of the HyJavaCharts library supports all Highcharts chart types and chart options.
 *  
 */
public class Main {
	public static void main( String[] args ) {
        
		System.out.println(LibraryInfo.getLibraryName() + " v" + LibraryInfo.getHyJavaChartsAPIVersion() + " (" + LibraryInfo.getLibraryType() + ")");
		System.out.println("");
		
		// Chart 1 Basic Line
		System.out.println("start " + LocalDateTime.now());
		
		System.out.println("Generated BasicLine Chart Options...");
		Highchart chart1 = new BasicLine().configure();
        System.out.println(chart1.chartOptionsToJs());
        
        System.out.println("end " + LocalDateTime.now());
        System.out.println("");
        
        
        // Chart 2 Pie Chart
        System.out.println("start " + LocalDateTime.now());
        
        System.out.println("Generated PieChart Chart Options...");
        Highchart chart2 = new PieChart().configure();
        System.out.println(chart2.chartOptionsToJs());
        
        System.out.println("end " + LocalDateTime.now());
     
    }

}
